#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['hydromt_fiat', 'hydromt_fiat.workflows']

package_data = \
{'': ['*'],
 'hydromt_fiat': ['data/*',
                  'data\\damage_functions/*',
                  'data\\damage_functions\\erosion/*',
                  'data\\damage_functions\\erosion\\ft/*',
                  'data\\damage_functions\\erosion\\inch/*',
                  'data\\damage_functions\\erosion\\m/*',
                  'data\\damage_functions\\flooding/*',
                  'data\\damage_functions\\flooding\\ft/*',
                  'data\\damage_functions\\flooding\\inch/*',
                  'data\\damage_functions\\flooding\\m/*',
                  'data\\fiat/*',
                  'data\\growth_scenarios/*']}

install_requires = \
['hydromt >=0.4.1',
 'dask >=2021.1,<2021.5',
 'geopandas >=0.8',
 'numpy',
 'pandas',
 'pygeos',
 'rasterio',
 'xarray']

extras_require = \
{'doc': ['sphinx', 'sphinx_rtd_theme', 'black'],
 'test': ['testpath', 'responses', 'pytest>=2.7.3', 'pytest-cov']}

entry_points = \
{'hydromt.models': ['fiat = hydromt_fiat.fiat:FiatModel']}

setup(name='hydromt_fiat',
      version='0.1.0',
      description='hydroMT plugin for fiat models.',
      author=None,
      author_email='Laurens Leunge <laurens.leunge@deltares.nl>, Dirk Eilander <dirk.eilander@deltares.nl>',
      url=None,
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='>=3.8',
     )
